# -*- mode: ruby -*-
# vi: set ft=ruby :
Vagrant.configure(2) do |config|
  config.vm.box = "centos/7"
  config.vm.provider "virtualbox" do |vb|
    vb.memory = 2048
    vb.cpus = 2
  end

  config.vm.synced_folder  '.', "/host_project_root/",
    owner: "root",
    group: "root",
    mount_options: ["dmode=777,fmode=666"]

  config.vm.provision :docker
  config.vm.provision :docker_compose,
    compose_version: "1.19.0",
    yml: "/vagrant/docker-compose.yml",
    run: "always"

  config.vm.provision "shell", path: "./script.sh", run: "always"

  config.vm.network :forwarded_port, guest: 80, host: 9080
  config.vm.network :forwarded_port, guest: 443, host: 9443
  config.vm.network :forwarded_port, guest: 3306, host: 9306
  config.vm.network :forwarded_port, guest: 22, host: 9022, id: 'ssh'
  config.vm.network "private_network", ip: "192.168.10.101"

  config.vm.hostname = "ah-vagrant-machine"
  config.vm.define "ah-vagrant-machine"
end
